Loading...
Searching...
No Matches
XrdPssConfig.cc File Reference
`#include <unistd.h>`
`#include <cctype>`
`#include <cstdio>`
`#include <cstring>`
`#include <strings.h>`
`#include <sys/param.h>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <fcntl.h>`
`#include "XrdVersion.hh"`
`#include "XrdNet/XrdNetAddr.hh"`
`#include "XrdNet/XrdNetUtils.hh"`
`#include "XrdNet/XrdNetSecurity.hh"`
`#include "XrdPss/XrdPss.hh"`
`#include "XrdPss/XrdPssTrace.hh"`
`#include "XrdPss/XrdPssUrlInfo.hh"`
`#include "XrdPss/XrdPssUtils.hh"`
`#include "XrdSys/XrdSysError.hh"`
`#include "XrdSys/XrdSysFD.hh"`
`#include "XrdSys/XrdSysHeaders.hh"`
`#include "XrdSys/XrdSysPlatform.hh"`
`#include "XrdSys/XrdSysPthread.hh"`
`#include "XrdOuc/XrdOuca2x.hh"`
`#include "XrdOuc/XrdOucCache.hh"`
`#include "XrdOuc/XrdOucEnv.hh"`
`#include "XrdOuc/XrdOucExport.hh"`
`#include "XrdOuc/XrdOucN2NLoader.hh"`
`#include "XrdOuc/XrdOucPsx.hh"`
`#include "XrdOuc/XrdOucStream.hh"`
`#include "XrdOuc/XrdOucTList.hh"`
`#include "XrdOuc/XrdOucUtils.hh"`
`#include "XrdPosix/XrdPosixConfig.hh"`
`#include "XrdPosix/XrdPosixXrootd.hh"`
`#include "XrdPosix/XrdPosixXrootdPath.hh"`
`#include "XrdSecsss/XrdSecsssID.hh"`
`#include "XrdXrootd/XrdXrootdGStream.hh"`
Include dependency graph for XrdPssConfig.cc:

Go to the source code of this file.

## Namespaces

namespace | XrdProxy

## Macros

#define | Duplicate(x, y)
#define | TS_DBG(x, m)
#define | TS_PSX(x, m)
#define | TS_String(x, m)
#define | TS_Xeq(x, m)

## Variables

static const int | XrdProxy::maxHLen = 1024
static XrdPosixXrootd * | XrdProxy::Xroot

## Macro Definition Documentation

## Duplicate

#define Duplicate | ( |  | x,
|  |  | y )

Value:
if (y) free(y); y = strdup(x)

Definition at line 80 of file XrdPssConfig.cc.

## TS_DBG

#define TS_DBG | ( |  | x,
|  |  | m )

Value:
if (!strcmp(x,var)) {SysTrace.What |= m; return 0;}
XrdProxy::SysTrace
XrdSysTrace SysTrace("Pss", 0)
Definition XrdPssCks.cc:55

Definition at line 89 of file XrdPssConfig.cc.

## TS_PSX

#define TS_PSX | ( |  | x,
|  |  | m )

Value:
if (!strcmp(x,var)) \
return (psxConfig->m(&eDest, Config) ? 0 : 1);
eDest
static XrdSysError eDest(0,"crypto_")

Definition at line 86 of file XrdPssConfig.cc.

#define TS_PSX(x,m) if (!strcmp(x,var)) \
return (psxConfig->m(&eDest, Config) ? 0 : 1);

## TS_String

#define TS_String | ( |  | x,
|  |  | m )

Value:
if (!strcmp(x,var)) {Duplicate(val,m); return 0;}
Duplicate
#define Duplicate(x, y)
Definition XrdOssConfig.cc:119

Definition at line 82 of file XrdPssConfig.cc.

## TS_Xeq

#define TS_Xeq | ( |  | x,
|  |  | m )

Value:
if (!strcmp(x,var)) return m(&eDest, Config);

Definition at line 84 of file XrdPssConfig.cc.